Skip to main content
Resource Center/Network Resource/L2 Network Operations

CreateL2NoVlanNetwork

CreateL2NoVlanNetwork

POST/zstack/v1/l2-networks/no-vlan

Operation ID

CreateL2NoVlanNetwork

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • name
      StringRequired

      The common L2 network name.

    • description
      String

      Optional. The detailed description of the common L2 network.

    • zoneUuid
      StringRequired

      The zone UUID.

    • physicalInterface
      StringRequired

      The physical interface.

    • type
      String

      The L2 network type.

    • vSwitchType
      String

      Optional. The vSwitch type.

    • resourceUuid
      String

      Optional. The resource UUID. If specified, the L2 network will use the specified value as UUID.

    • tagUuids
      List

      Optional. The Uuid tags list.

    • isolated
      Boolean

      Optional.

    • pvlan
      String

      Optional.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    操作是否成功。

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    L2VxlanNetworkPoolInventoryRequired

    See inventoryinventory.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • zoneUuid
      StringRequired

      The zone UUID.

    • physicalInterface
      StringRequired

      The physical interface.

    • type
      StringRequired

      The type of L2 network.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

    • attachedClusterUuids
      ListRequired

      The attached cluster UUID.

Change History

This API has no change history records yet.

View all change history